Page MenuHomePhabricator

Deleting a topic requires a purge for not-logged in users
Closed, ResolvedPublic

Description

If i delete a topic on mediawiki.org, i still see this topic (and all deleted answers), if i open the thread in another (private) tab where i'mnot logged in. This shouldn't be possible, if i delete a topic, it should be deleted and all caches should be purged.

Sidenote: If i run action=purge as a not logged in user, the topic appears as deleted.

Event Timeline

Florian created this task.Mar 7 2015, 7:19 PM
Florian updated the task description. (Show Details)
Florian raised the priority of this task from to Needs Triage.
Florian added a project: StructuredDiscussions.
Florian added a subscriber: Florian.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 7 2015, 7:19 PM
EBernhardson triaged this task as Unbreak Now! priority.Mar 9 2015, 5:49 PM
EBernhardson added a subscriber: EBernhardson.

This essentially sounds like the varnish cache isn't clearing all related pages. We have a hook called getSquidURLS or something like that that likely needs to be updated.

Change 195330 had a related patch set uploaded (by EBernhardson):
Ensure squid cache is purged after successfull submissions

https://gerrit.wikimedia.org/r/195330

Change 195330 merged by jenkins-bot:
Ensure squid cache is purged after successfull submissions

https://gerrit.wikimedia.org/r/195330

Change 195787 had a related patch set uploaded (by EBernhardson):
Ensure squid cache is purged after successfull submissions

https://gerrit.wikimedia.org/r/195787

Change 195788 had a related patch set uploaded (by EBernhardson):
Ensure squid cache is purged after successfull submissions

https://gerrit.wikimedia.org/r/195788

Change 195787 merged by jenkins-bot:
Ensure squid cache is purged after successfull submissions

https://gerrit.wikimedia.org/r/195787

Change 195788 merged by jenkins-bot:
Ensure squid cache is purged after successfull submissions

https://gerrit.wikimedia.org/r/195788

EBernhardson closed this task as Resolved.Mar 10 2015, 11:26 PM

this has been deployed to wmf19 and wmf20

Verified on mediawiki.org, thanks @EBernhardson!